Package org.apache.jmeter.gui.action

# Interface TreeNodeNamingPolicy

All Known Implementing Classes:
  `DefaultTreeNodeNamingPolicy`

public interface TreeNodeNamingPolicy
Naming policy applied to JMeter Tree nodes :

- on creation through `nameOnCreation(JMeterTreeNode)`
- By applying naming policy on Controller child nodes through `resetState(JMeterTreeNode)` and `rename(JMeterTreeNode, JMeterTreeNode, int)`

Since:
  3.2

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `nameOnCreation(JMeterTreeNode node)`
  `void`
  `rename(JMeterTreeNode parentNode, JMeterTreeNode childNode, int index)`
  Called by Apply Naming Policy popup menu on TransactionController nodes Rename childNode based on custom policy
  `void`
  `resetState(JMeterTreeNode parentNode)`
  Called within Apply Naming Policy popup menu on TransactionController nodes to init the naming process.

- ## Method Details

  - ### rename

    void rename(JMeterTreeNode parentNode, JMeterTreeNode childNode, int index)
    Called by Apply Naming Policy popup menu on TransactionController nodes Rename childNode based on custom policy
    Parameters:
      `parentNode` - Parent node
      `childNode` - Child node
      `index` - index of child node

  - ### resetState

    void resetState(JMeterTreeNode parentNode)
    Called within Apply Naming Policy popup menu on TransactionController nodes to init the naming process.
    Parameters:
      `parentNode` - `JMeterTreeNode` Parent of nodes that will be renamed

  - ### nameOnCreation

    void nameOnCreation(JMeterTreeNode node)
    Parameters:
      `node` - `JMeterTreeNode` node that has been added to JMeter Tree node